Page MenuHomePhabricator

Prepare and check storage layer for mnwwiki
Closed, ResolvedPublic

Description

As part of the new wiki creation process and as per our instructions, please be advised:

  • Project: Wikipedia.
  • Type: Public wiki.

Event Timeline

jhsoby created this task.Oct 17 2019, 10:33 AM
Marostegui added a subscriber: Marostegui.

Let us know when the database is created so we can sanitize its tables and hand over to WMCS for views creation.

crusnov triaged this task as Medium priority.Oct 17 2019, 6:46 PM
bd808 moved this task from Backlog to Wiki replicas on the Data-Services board.Oct 24 2019, 1:53 PM

Let us know when the database is created so we can sanitize its tables and hand over to WMCS for views creation.

db was created

jcrespo claimed this task.Nov 4 2019, 1:31 PM
jcrespo added a subscriber: jcrespo.

Thanks, will apply the filtering and then assign to cloud for exposing it on wikireplicas.

Mentioned in SAL (#wikimedia-operations) [2019-11-04T15:36:36Z] <jynus> running failing check_private_data report on labsdb1009 T235743

Mentioned in SAL (#wikimedia-operations) [2019-11-05T08:02:06Z] <jynus> redact mnwwiki on db1124 and db2094 T235743

jcrespo removed jcrespo as the assignee of this task.Nov 5 2019, 8:08 AM
jcrespo moved this task from Blocked external/Not db team to Done on the DBA board.
jcrespo added a subscriber: Bstorm.

@Bstorm This is ready for view creation/cloud handling. I haven't done one of this in a while so I don't remember if I am supposed to add the wiki to the role manually, or it was finally included on the script. Reassign to me if that is needed.

The steps that are needed before running the views script:

  • Create the _p database on labsdb1009-labsdb1012
  • Add the database to the user role grant on labsdb1009-labsdb1012

I can do those if needed or they can also be done by @Bstorm - let me know what you prefer.

@Marostegui if you can get those steps, that would be great. I'm at tech conf, and it might be simpler for whoever grabs this.

Marostegui added a comment.EditedNov 12 2019, 12:59 PM

@Marostegui if you can get those steps, that would be great. I'm at tech conf, and it might be simpler for whoever grabs this.

All done!:

  • mnwwiki_p created on labsdb1009, 1010, 1011, 1012
  • Added: GRANT SELECT, SHOW VIEW ON mnwwiki\_p.* TO 'labsdbuser';` on the 4 hosts too
Marostegui added a subscriber: Andrew.

@Bstorm @JHedden @Andrew - I have been pinged about the views for this wiki, any ETA on when they'll be added?
Thanks!

Change 554159 had a related patch set uploaded (by Phamhi; owner: Hieu Pham):
[operations/puppet@production] wmcs: don't process lines starting with a comment

https://gerrit.wikimedia.org/r/554159

Change 554159 merged by Phamhi:
[operations/puppet@production] wmcs: don't process lines starting with a comment

https://gerrit.wikimedia.org/r/554159

Phamhi closed this task as Resolved.Dec 2 2019, 10:06 PM
Phamhi claimed this task.
Phamhi added a subscriber: Phamhi.

The views step is done. Tested successfully on toolsforge.

Change 554159 merged by Phamhi:
[operations/puppet@production] wmcs: don't process lines starting with a comment

https://gerrit.wikimedia.org/r/554159

This is related: T239415: Modify maintain-views to skip "#" on new dblist files